Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in Jinja2
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in Jinja2
ID: USN-4011-1
Distribution: Ubuntu
Plattformen: Ubuntu 16.04 LTS, Ubuntu 18.04 LTS, Ubuntu 18.10, Ubuntu 19.04
Datum: Do, 6. Juni 2019, 21:36
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10906
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-10745
Applikationen: Jinja2

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============4382562157514915469==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="TDKW0gSuAB7VbTq5zvRQ1U40YCc7tiAn6"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--TDKW0gSuAB7VbTq5zvRQ1U40YCc7tiAn6
Content-Type: multipart/mixed;
boundary="mCKcHDsq2ihX6kxDuP9a1EyLR40AaflAZ";
protected-headers="v1"
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <f193cf5a-427c-93e2-f9ab-b36126d980e4@canonical.com>
Subject: [USN-4011-1] Jinja2 vulnerabilities

--mCKcHDsq2ihX6kxDuP9a1EyLR40AaflAZ
Content-Type: text/plain; charset=utf-8
Content-Language: en-C
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-4011-1
June 06, 2019

jinja2 vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 19.04
- Ubuntu 18.10
- Ubuntu 18.04 LTS
- Ubuntu 16.04 LTS

Summary:

Several security issues were fixed in Jinja2.

Software Description:
- jinja2: small but fast and easy to use stand-alone template engine

Details:

Olivier Dony discovered that Jinja incorrectly handled str.format. An
attacker could possibly use this issue to escape the sandbox. This issue
only affected Ubuntu 16.04 LTS. (CVE-2016-10745)

Brian Welch discovered that Jinja incorrectly handled str.format_map. An
attacker could possibly use this issue to escape the sandbox.
(CVE-2019-10906)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 19.04:
python-jinja2 2.10-1ubuntu0.19.04.1
python3-jinja2 2.10-1ubuntu0.19.04.1

Ubuntu 18.10:
python-jinja2 2.10-1ubuntu0.18.10.1
python3-jinja2 2.10-1ubuntu0.18.10.1

Ubuntu 18.04 LTS:
python-jinja2 2.10-1ubuntu0.18.04.1
python3-jinja2 2.10-1ubuntu0.18.04.1

Ubuntu 16.04 LTS:
python-jinja2 2.8-1ubuntu0.1
python3-jinja2 2.8-1ubuntu0.1

In general, a standard system update will make all the necessary changes.

References:
https://usn.ubuntu.com/4011-1
CVE-2016-10745, CVE-2019-10906

Package Information:
https://launchpad.net/ubuntu/+source/jinja2/2.10-1ubuntu0.19.04.1
https://launchpad.net/ubuntu/+source/jinja2/2.10-1ubuntu0.18.10.1
https://launchpad.net/ubuntu/+source/jinja2/2.10-1ubuntu0.18.04.1
https://launchpad.net/ubuntu/+source/jinja2/2.8-1ubuntu0.1


--mCKcHDsq2ihX6kxDuP9a1EyLR40AaflAZ--

--TDKW0gSuAB7VbTq5zvRQ1U40YCc7tiAn6
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUMSg3c8x5FLOsZtRZWnYVadEvpMFAlz5ETAACgkQZWnYVadE
vpP7+Q/9FWRXYnNdfXdVQNcPWGl4zEcmelbLDvlWzHTSgBUYa5aZIexHGcOhahnp
v3rqOp737E27Yn9BjzazBTcW6/btpP1M/x2LS8gQj2CsoEfJEKpAYnxcljROE4Es
P+tJl5Q6o/rf1ABCtZq5IFaw9fyGToq/XaJfy9M6GsbNoCiOUz2A4wRjEmkeQatW
5POOM9hBR/U8MSP8BRnAEdV0VzcP7wf3AHDNR0m6yCrqpOXBohzGySbr60RRe+hG
4fYairdmlfdQq56X9iPIG1pFMea/d+3rIShJCQ27cNDtA5HxnvOp+hp06VgfmS2Q
M87qH3MTf4XUdItSjZdpFl6DXuU2y9EiusnRDuqZOW7A/pxceknfyilT5uZSDNMn
ny1MlgkV2Iu2QP5KIAr1PHVAGCVoq/DU+EoOBd8dqrexspKAe7fC+RvLyqqVONoQ
TmtvzoK+bbyXRpCD72yADWwf+DScaKE6ymeJJbxD3u/wtECXqCFo9jhPMX2cKlBK
0FYx3a0cUtC2lvOPAYQ5ulHwPvgmcHzy5Hp1tDbAzr7j2jhpW3bGTKtt05clXFMa
tQZaURcohn+J3QFoj2fcOgB71uKP9RCq8WUG6CeF16XOwr8zJaIU4mRyGHsQSNQW
nhjPSVis9QUCKf1YjnA+Mv2rmzLuwARNUQ0iOxFFjetWCaUyZ3U=
=7S/M
-----END PGP SIGNATURE-----

--TDKW0gSuAB7VbTq5zvRQ1U40YCc7tiAn6--


--===============4382562157514915469==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============4382562157514915469==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung